| Home | Libraries | People | FAQ | More

#### pchars

The path character set.

##### Synopsis

Defined in header `<boost/url/rfc/pchars.hpp>`

    constexpr auto pchars =
        unreserved_chars + sub_delim_chars + ':' + '@';

##### Example

Character sets are used with rules and the functions `grammar::find_if` and `grammar::find_if_not`.

    system::result< decode_view > rv = grammar::parse( "Program%20Files" , pchars );

##### BNF

    pchar         = unreserved / pct-encoded / sub-delims / ":" / "@"

##### Specification

- 3.3. Path (rfc3986)

##### See Also

`grammar::find_if`, `grammar::find_if_not`, `grammar::parse`, `pct_encoded_rule`.

Convenience header `<boost/url.hpp>`